@use "@angular/material" as mat;
@import "../../../styles.scss";

.asterix--after:after {
  content: "*";
  color: red;
}

.login-form {
  width: 100%;
  max-width: 500px;
}

.field-container .field {
  display: flex;
  flex-direction: column;
  margin-bottom: 15px;

  mat-form-field {
    margin-top: 8px;
  }
}
mat-form-field {
  width: 100% !important ;
}
.field-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.dialog-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;

  h2 {
    margin: 0;
    text-align: center;
    flex: 1;
    font-size: 16px !important;
    font-weight: 600 !important;
    font-family: "Open Sans", sans-serif !important;
    color: mat.get-color-from-palette($graphene-ui-primary);
  }

  .close-button {
    margin-left: 8px;
  }
}

.full-width {
  width: 100%;
}

.mat-divider {
  margin-top: 15px !important;
  margin-bottom: 15px !important;
}

.input-error {
  font-size: small;
  color: red;
}

.forget-password {
  color: #0366d6;
  font-weight: 600;
}

@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

.spinner:before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 42%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #ffffff;
  border-top-color: #000000;
  animation: spinner 0.8s linear infinite;
}
.password-note {
  font-size: 12px;
  line-height: 14px;
  color: rgba(0, 0, 0, 0.87);
  margin: 34px 0px;
}

.footer-signup {
  display: flex;
  gap: 4px;
  color: rgba(0, 0, 0, 0.87);
  margin-top: 24px;
  a {
    cursor: pointer;
  }
}

a {
  color: #0366d6;
}
